#Start function
    scoreboard players set @s[scores={Countdown=0,End=!1..}] Countdown 205
    scoreboard players set @e[type=armor_stand,tag=Host,scores={Countdown=0,End=!1..}] Countdown 205
    execute if score @s Countdown matches 200 run camera @s fade time 0 0.1 0.5

#Round start
    #Teleport players
        execute as @s[scores={Countdown=200}] run tp @p[tag=P1] -12 24 -23 
        execute as @s[scores={Countdown=200}] run tp @p[tag=P2] -12 20 -23 
        execute as @s[scores={Countdown=200}] run tp @p[tag=P3] -12 16 -23 
        execute as @s[scores={Countdown=200}] run tp @p[tag=P4] -12 12 -23 
        execute as @s[scores={Countdown=200}] run tp @p[tag=P5] -12 8 -23 
        execute as @s[scores={Countdown=200}] run tp @p[tag=P6] -12 4 -23 
        execute as @s[scores={Countdown=200}] run tp @p[tag=P7] -12 0 -23 
        execute as @s[scores={Countdown=200}] run tp @p[tag=P8] -12 -4 -23 
    #Structures
        #Clear arena 
                setblock 34 24 -35 air 
                execute as @s[tag=Host,scores={Countdown=190}] unless block -16 26 -18 blue_wool run structure load Blank3.map -16 23 -18 0_degrees none layer_by_layer 2.00
        #Place arena
            #Arena maps
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=0}] run structure load Castle.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=1}] run structure load Gardens.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=2}] run structure load Indoors.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=3}] run structure load Ruins.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=4}] run structure load Town.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=5}] run structure load Bridge.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=6}] run structure load Docks.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=7}] run structure load Mine.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=8}] run structure load Dungeon.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=9}] run structure load Cave.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=10}] run structure load Wood.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=11}] run structure load Court.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=12}] run structure load Downtown.map -16 23 -18 0_degrees none layer_by_layer 1.00
                execute as @s[tag=Host,tag=Arena,scores={Countdown=150,Arena=13}] run structure load River.map -16 23 -18 0_degrees none layer_by_layer 1.00
            #Map rotation
                execute as @s[tag=Host,tag=Arena,scores={Countdown=90,Stg:MapRotation=0}] run scoreboard players add @s Arena 1
                execute as @s[tag=Host,tag=Arena,scores={Countdown=200}] run scoreboard players add @s Chk:RoundNumber 1
                execute as @s[tag=Host,tag=Arena,scores={Countdown=200,Stg:MapRotation=1}] run scoreboard players random @s Arena 0 13
                execute as @s[tag=Host,tag=Arena,scores={Countdown=80}] run scoreboard players set @e[scores={Arena=14}] Arena 0
            #Zombie maps
                execute as @s[tag=Host,tag=Zombie,scores={Countdown=150,Arena=0}] run structure load Outpost.Zombie.map -16 23 -18
                execute as @s[tag=Host,tag=Zombie,scores={Countdown=150,Arena=1}] run structure load Forest.Zombie.map -16 23 -18
                execute as @s[tag=Host,tag=Zombie,scores={Countdown=150,Arena=2}] run structure load Town.Zombie.map -16 23 -18
                #Spawnables
                execute as @s[tag=Host,tag=Zombie,scores={Countdown=140,Arena=0}] run summon zombie:upgrade_station 22 24 17
                execute as @s[tag=Host,tag=Zombie,scores={Countdown=140,Arena=1}] run summon zombie:enchantment_table 21 26 -1
                execute as @s[tag=Host,tag=Zombie,scores={Countdown=140,Arena=2}] run summon zombie:upgrade_station 30 25 -13
                execute as @s[tag=Host,tag=Zombie,scores={Countdown=140,Arena=2}] run summon zombie:enchantment_table_city 11 26 -9
                execute as @s[tag=Host,tag=Zombie,scores={Countdown=140,Arena=2}] run summon zombie:brewing_stand_city 7 26 35
            #Deathmatch maps
                execute as @s[tag=Host,tag=Deathmatch,scores={Countdown=150,Arena=0}] run structure load Fountian2.map -16 23 -18 0_degrees none layer_by_layer 1.00

    #Give effects and tags
        #Scoreboard and movement
            execute as @s[scores={Countdown=90}] run effect @s clear
            execute as @s[scores={Countdown=200}] run inputpermission set @a movement disabled
            execute as @s[scores={Countdown=200,Stg:MatchTime=1},tag=Deathmatch] run scoreboard players set @s[tag=Host] Tnc:Numbers 100
            execute as @s[scores={Countdown=200,Stg:MatchTime=2},tag=Deathmatch] run scoreboard players set @s[tag=Host] Tnc:Numbers 200
            execute as @s[scores={Countdown=200,Stg:MatchTime=3},tag=Deathmatch] run scoreboard players set @s[tag=Host] Tnc:Numbers 300
            execute as @s[scores={Countdown=200,Stg:MatchTime=4},tag=Deathmatch] run scoreboard players set @s[tag=Host] Tnc:Numbers 400
            execute as @s[scores={Countdown=200,Stg:MatchTime=5},tag=Deathmatch] run scoreboard players set @s[tag=Host] Tnc:Numbers 500
            execute as @s[scores={Countdown=200,Stg:MatchTime=6},tag=Deathmatch] run scoreboard players set @s[tag=Host] Tnc:Numbers 600

        #Health and absorption
            execute as @s[tag=Health,scores={Gear:Health=2,Countdown=80}] run effect @s health_boost 10000 0 true
            execute as @s[tag=Health,scores={Gear:Health=3,Countdown=80}] run effect @s health_boost 10000 1 true
            execute as @s[tag=Health,tag=Sculk,scores={Gear:Armoe=4,Countdown=80}] run effect @s health_boost 10000 1 true
            execute as @s[tag=Health,scores={Gear:Health=4,Countdown=80}] run effect @s health_boost 10000 2 true
                        
            execute as @s[tag=Absorption,scores={Gear:Health=1,Countdown=80}] run effect @s absorption 100 0 true
            execute as @s[tag=Absorption,scores={Gear:Health=2,Countdown=80}] run effect @s absorption 100 1 true
            execute as @s[tag=Absorption,tag=!Dandelion,scores={Gear:Health=3,Countdown=80}] run effect @s absorption 100 1 true
            execute as @s[tag=Absorption,tag=!Dandelion,scores={Gear:Health=3,Countdown=80}] run effect @s health_boost 10000 0 true
            execute as @s[tag=Absorption,tag=!Dandelion,scores={Gear:Health=4,Countdown=80}] run effect @s absorption 100 2 true
            execute as @s[tag=Absorption,tag=!Dandelion,scores={Gear:Health=4,Countdown=80}] run effect @s health_boost 10000 1 true
            
            execute as @s[tag=Absorption,tag=Dandelion,scores={Gear:Health=3,Countdown=80}] run effect @s absorption 200 0 true
            execute as @s[tag=Absorption,tag=Dandelion,scores={Gear:Health=3,Countdown=80}] run effect @s health_boost 10000 1 true
            execute as @s[tag=Absorption,tag=Dandelion,scores={Gear:Health=4,Countdown=80}] run effect @s absorption 200 1 true
            execute as @s[tag=Absorption,tag=Dandelion,scores={Gear:Health=4,Countdown=80}] run effect @s health_boost 10000 2 true

            execute as @s[tag=Sculk,scores={Gear:Armor=4,Countdown=80}] run effect @s health_boost 10000 1 true
            
            execute as @s[scores={Countdown=1}] run effect @s instant_health 1 255 true
            execute as @s[scores={Countdown=80}] run effect @s instant_health 1 255 true

    #Teleport players
        execute as @s[scores={Countdown=200}] run tag @s remove Spectator
        execute as @s[scores={Countdown=200}] run gamemode d
        execute at @e[type=villager,name=P1spawn] run tp @p[tag=P1,scores={Countdown=130}] ~~1~
        execute at @e[type=villager,name=P2spawn] run tp @p[tag=P2,scores={Countdown=130}] ~~1~
        execute at @e[type=villager,name=P3spawn] run tp @p[tag=P3,scores={Countdown=130}] ~~1~
        execute at @e[type=villager,name=P4spawn] run tp @p[tag=P4,scores={Countdown=130}] ~~1~
        execute at @e[type=villager,name=P5spawn] run tp @p[tag=P5,scores={Countdown=130}] ~~1~
        execute at @e[type=villager,name=P6spawn] run tp @p[tag=P6,scores={Countdown=130}] ~~1~
        execute at @e[type=villager,name=P7spawn] run tp @p[tag=P7,scores={Countdown=130}] ~~1~
        execute at @e[type=villager,name=P8spawn] run tp @p[tag=P8,scores={Countdown=130}] ~~1~
        execute at @e[type=armor_stand,name=PlayerSpawn] run tp @a[tag=Zombie,scores={Countdown=80}] ~~3~
    #Killings
        execute as @s[scores={Countdown=160}] run kill @e[type=item]
        execute as @s[scores={Countdown=160}] run kill @e[type=arrow]
        execute as @s[scores={Countdown=110}] run tp @e[type=villager] -26 33 -26
        execute as @s[scores={Countdown=110}] run kill @e[type=villager]

    #Finishing up
        execute as @s[tag=Maroon,scores={Countdown=80}] run structure load Horse ~~1~
        execute as @s[tag=Maroon,scores={Countdown=79}] run ride @s start_riding @e[type=horse,r=3] teleport_rider
        execute as @s[tag=Berry,scores={Countdown=80}] run clear @s arrow 
        execute as @s[tag=Berry,scores={Countdown=79}] run give @s arrow 1 43
        execute as @s[scores={Countdown=1}] run scoreboard players set @a[tag=Wither] Wither 0
        execute as @s[scores={Countdown=1}] run scoreboard players set @a Tnc:RespawnTimer 0
        execute as @s[tag=Lapis,scores={Countdown=80,Gear:Effects=1}] run scoreboard players set @s Kit:Mana 25
        execute as @s[tag=Lapis,scores={Countdown=80,Gear:Effects=2}] run scoreboard players set @s Kit:Mana 50
        execute as @s[tag=Lapis,scores={Countdown=80,Gear:Effects=3}] run scoreboard players set @s Kit:Mana 75
        execute as @s[tag=Lapis,scores={Countdown=80,Gear:Effects=4}] run scoreboard players set @s Kit:Mana 100

        #Countdown
        titleraw @s[scores={Countdown=130}] title {"rawtext":[{"text":"Round "},{"score":{"name":"@e[tag=Host]","objective":"Chk:RoundNumber"}}]}
        title @s[scores={Countdown=60}] title 3
        playsound block.click @s[scores={Countdown=60}] ~~~ 1 1  
        title @s[scores={Countdown=40}] title 2
        playsound block.click @s[scores={Countdown=40}] ~~~ 1 1  
        title @s[scores={Countdown=20}] title 1
        playsound block.click @s[scores={Countdown=20}] ~~~ 1 1  
        title @s[scores={Countdown=1}] title GO!
        playsound block.bell.hit @s[scores={Countdown=1}] ~~~ 1 1  
        execute as @s[scores={Countdown=1},tag=!Zombie] run gamerule pvp true
        execute as @s[scores={Countdown=1}] run inputpermission set @a movement enabled
        execute as @s[scores={Countdown=1}] run camera @a clear 
        #Camera
        execute if score @s Countdown matches 130 run camera @s fade time 0 0.1 0.2
        execute if score @s Countdown matches 130 run camera @s set game:arena
        playsound random.orb @s[scores={Countdown=130}] 5 47 2 10 1  
        execute if score @s Countdown matches 80 run camera @s set minecraft:free ease 1 in_out_cubic pos ~~1.91~ rot 0 0  
        execute if score @s Countdown matches 63 run camera @s fade time 0.2 0.4 0.2
        execute if score @s Countdown matches 59 run camera @s clear 
        #Subtitle
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 0 run title @a subtitle map: Castle
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 1 run title @a subtitle map: Gardens
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 2 run title @a subtitle map: Indoor Caslte
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 3 run title @a subtitle map: Ruins
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 4 run title @a subtitle map: Town
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 5 run title @a subtitle map: Bridge
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 6 run title @a subtitle map: Docks
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 7 run title @a subtitle map: Mine
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 8 run title @a subtitle map: Dungeon
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 9 run title @a subtitle map: Cave
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 10 run title @a subtitle map: Lumberyard
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 11 run title @a subtitle map: Court
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 12 run title @a subtitle map: Downtown
        execute as @s[scores={Countdown=131}] if score @s[tag=Host,tag=Arena] Arena matches 13 run title @a subtitle map: River

    #Zombie Countdown
        execute as @s[scores={Countdown=2},tag=Zombie] run scoreboard objectives add Round dummy
        execute as @s[scores={Countdown=2},tag=Zombie] run scoreboard objectives add RoundReset dummy
        execute as @s[scores={Countdown=2},tag=Zombie,tag=P1] run scoreboard players set Real Round 0
        execute as @s[scores={Countdown=1},tag=Zombie,tag=P1] run scoreboard players set Kills Round 0
        execute as @s[scores={Countdown=2},tag=Zombie,tag=P1] run scoreboard players set @s RoundReset 0
        execute as @s[scores={Countdown=2},tag=Zombie,tag=P1] run tag @s add RoundStart
        execute as @s[scores={Countdown=200,Arena=0},tag=Zombie,tag=Host] run time set night
        execute as @s[scores={Countdown=200,Arena=0},tag=Zombie,tag=Host] run weather rain
        execute as @s[scores={Countdown=200,Arena=1},tag=Zombie,tag=Host] run time set midnight
        execute as @s[scores={Countdown=200,Arena=1},tag=Zombie,tag=Host] run weather clear
        execute as @s[scores={Countdown=200,Arena=2},tag=Zombie,tag=Host] run time set night
        execute as @s[scores={Countdown=200,Arena=2},tag=Zombie,tag=Host] run weather clear